> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Retrieves a list of placement options for an inbound plan.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/placementOptions

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/list-placement-options

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.

### Query parameters

- `pageSize` (integer, optional) — The number of placement options to return in the response matching the given query.
- `paginationToken` (string, optional) — A token to fetch a certain page when there are multiple pages worth of results.

## Response

### 200

Success

- `placementOptions` (list of PlacementOption, required) — Placement options generated for the inbound plan.
- `pagination` (Pagination, optional) — Contains tokens to fetch from a certain page.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### PlacementOption

Contains information pertaining to the placement of the contents of an inbound plan and the related costs.

- `discounts` (list of Incentive, required) — Discount for the offered option.
- `fees` (list of Incentive, required) — The fee for the offered option.
- `placementOptionId` (string, required) — The identifier of a placement option. A placement option represents the shipment splits and destinations of SKUs.
- `shipmentIds` (list of string, required) — Shipment IDs.
- `status` (string, required) — The status of a placement option. Possible values: `OFFERED`, `ACCEPTED`, `EXPIRED`.
- `expiration` (datetime, optional) — The expiration date of the placement option. In ISO 8601 datetime format with pattern `yyyy-MM-ddTHH:mm:ss.sssZ`.

### Pagination

Contains tokens to fetch from a certain page.

- `nextToken` (string, optional) — When present, pass this string token in the next request to return the next response page.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### Incentive

Contains details about cost related modifications to the placement cost.

- `description` (string, required) — Description of the incentive.
- `target` (string, required) — Target of the incentive. Possible values: 'Placement Services', 'Fulfillment Fee Discount'.
- `type` (string, required) — Type of incentive. Possible values: `FEE`, `DISCOUNT`.
- `value` (Currency, required) — The type and amount of currency.

### Currency

The type and amount of currency.

- `amount` (double, required) — Decimal value of the currency.
- `code` (string, required) — ISO 4217 standard currency code.

## Examples

**Response**

```json
{
  "placementOptions": [
    {
      "discounts": [
        {
          "description": "string",
          "target": "string",
          "type": "string",
          "value": {
            "amount": 1.1,
            "code": "string"
          }
        }
      ],
      "fees": [
        {
          "description": "string",
          "target": "string",
          "type": "string",
          "value": {
            "amount": 1.1,
            "code": "string"
          }
        }
      ],
      "placementOptionId": "string",
      "shipmentIds": [
        "string"
      ],
      "status": "string",
      "expiration": "2024-01-15T09:30:00Z"
    }
  ],
  "pagination": {
    "nextToken": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/placementOptions"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/placementOptions';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/placementOptions"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/placementOptions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/placementOptions")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/placementOptions');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/placementOptions");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/placementOptions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```